#include <stdio.h>
#include <stdlib.h>

void printArr(int *arr, int n) {
  for (int i=0; i<n; i++) {
    printf("%d ", arr[i]);
  }
  printf("\n");
}

void fillArr(int *arr, int n, int val) {
  for (int i=0; i<n; i++) {
    arr[i] = val;
  }
}

int main(int argc, char **argv) {

  int n, h, l;
  scanf("%d %d %d", &n, &h, &l);

  int ids[1000];
  for (int i=0; i<h; i++) {
    scanf("%d", &ids[i]);
  }
  printArr(ids, h);

  int freq[1001];
  fillArr(freq, 1000, -1);

  for (int i=0; i<l; i++) {
    int a, b;
    scanf("%d %d", &a, &b);
    int old_a = freq[a];
    if (freq[a] == -1) {
      freq[a] = 0;
    }
    if (freq[b] == -1) {
      freq[b] = 0;
    }
    freq[a] += freq[b] + 1;
    freq[b] += old_a + 1;
  }

  printArr(freq, n+1);

  return 0;
}